Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.asn1
Class ASN1Integer

    java.lang.Object
      com.mindbright.asn1.ASN1Object
          com.mindbright.asn1.ASN1Integer

Direct Known Subclasses:
  DSAPublicKey

public class ASN1Integer
extends ASN1Object

Field Summary

Fields inherited from class com.mindbright.asn1.ASN1Object
`isSet, tag`

Constructor Summary
`ASN1Integer()`

Method Summary
`void` | `decodeValue(ASN1Decoder decoder, java.io.InputStream in, int len)`
`int` | `encodeValue(ASN1Encoder encoder, java.io.OutputStream out)`
`boolean` | `equals(java.lang.Object obj)`
`java.math.BigInteger` | `getValue()`
`int` | `hashCode()`
`void` | `setValue(java.math.BigInteger value)`
`void` | `setValue(long value)`

Methods inherited from class com.mindbright.asn1.ASN1Object
`decodeValue, getTag, getType, isSet, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASN1Integer

    public ASN1Integer()

Method Detail

### encodeValue

    public int encodeValue(ASN1Encoder encoder,
                           java.io.OutputStream out)
                    throws java.io.IOException

  Specified by:
    `encodeValue` in class `ASN1Object`
  Throws:
    `java.io.IOException`

### decodeValue

    public void decodeValue(ASN1Decoder decoder,
                            java.io.InputStream in,
                            int len)
                     throws java.io.IOException

  Overrides:
    `decodeValue` in class `ASN1Object`
  Throws:
    `java.io.IOException`

### setValue

    public void setValue(java.math.BigInteger value)

### setValue

    public void setValue(long value)

### getValue

    public java.math.BigInteger getValue()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD